Bug 217270 - x11/slock: update to 1.4
Summary: x11/slock: update to 1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-21 12:37 UTC by Piotr Kubaj
Modified: 2017-02-24 17:19 UTC (History)
1 user (show)

See Also:
portmaster: maintainer-feedback+


Attachments
patch (1.75 KB, patch)
2017-02-21 12:37 UTC, Piotr Kubaj
no flags Details | Diff
patch (4.20 KB, patch)
2017-02-23 22:07 UTC, Piotr Kubaj
portmaster: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-02-21 12:37:30 UTC
Created attachment 180184 [details]
patch

This patch updates the port to version 1.4.

It builds fine on Poudriere on 10.3-RELEASE.
Comment 1 Chris Hutchinson 2017-02-22 21:32:36 UTC
Comment on attachment 180184 [details]
patch

Looks good.

Approved.

Thanks Piotr!

--Chris
Comment 2 Kirill Ponomarev freebsd_committer 2017-02-23 20:10:56 UTC
Take.
Comment 3 Kirill Ponomarev freebsd_committer 2017-02-23 20:45:07 UTC
I couldn't properly apply the patch, please redo:

===> Fetching all distfiles required by slock-1.4 for building
===>  Extracting for slock-1.4
=> SHA256 Checksum OK for slock-1.4.tar.gz.
===>  Patching for slock-1.4
===>  Applying FreeBSD patches for slock-1.4
6 out of 7 hunks failed--saving rejects to slock.c.rej
=> FreeBSD patch patch-slock.c failed to apply cleanly.
=> Patch(es)  patch-config.mk applied cleanly.
*** Error code 1
Comment 4 Piotr Kubaj freebsd_committer 2017-02-23 22:07:39 UTC
Created attachment 180251 [details]
patch

I'm not sure how I could have missed it...

Anyway, patch-slock.c can be removed now, authentication has been simplified.
Comment 5 Chris Hutchinson 2017-02-24 00:05:08 UTC
Comment on attachment 180251 [details]
patch

Looks good!

Approved!

This time I tested it!

@Kirill
 Sorry. I /know/ better. I /really/ should have tested better. :-(

--Chris
Comment 6 commit-hook freebsd_committer 2017-02-24 17:15:01 UTC
A commit references this bug:

Author: krion
Date: Fri Feb 24 17:14:38 UTC 2017
New revision: 434734
URL: https://svnweb.freebsd.org/changeset/ports/434734

Log:
  Update x11/slock to 1.4

  PR:		217270
  Submitted by:	pkubaj@anongoth.pl
  Approved by:	mat (mentor), maintainer
  Differential Revision:	https://reviews.freebsd.org/D9783

Changes:
  head/x11/slock/Makefile
  head/x11/slock/distinfo
  head/x11/slock/files/patch-config.mk
  head/x11/slock/files/patch-slock.c